<?php include "includes/header.php" ?>


<div class="container-fluid">

    <?php alertMessage() ?>

    <div class="row">
        <div class="col-lg-12">
            <div class="card shadow mb-4">
                <div class="card-header py-3">
                    <h6 class="m-0 font-weight-bold text-primary">Sajili mteja mpya</h6>
                </div>

                <div class="card-body">
                    <form action="clients-code.php" method="POST" id="form" enctype="multipart/form-data">
                        <div class="row">

                            <div class="col-md-8 mb-3">
                                <label for="">Jina la mteja</label>
                                <input type="text" name="name" id="name" required class="form-control" />
                            </div>

                            <div class="col-md-8 mb-3">
                                <label for="">Tarehe ya kuzaliwa</label>
                                <input type="date" name="dob" id="dob" required class="form-control" />
                            </div>

                            <div class="col-md-8 mb-3">
                                <label for="">Jinsia</label>
                                <select name="gender" id="gender" required class="form-select form-control">
                                    <option value="">-- Chagua jinsia --</option>
                                    <option value="kiume">Kiume</option>
                                    <option value="kike">Kike</option>
                                </select>
                            </div>

                            <div class="col-md-8 mb-3">
                                <label for="">Hali ya ndoa</label>
                                <select name="marital-status" id="marital-status" required class="form-select form-control">
                                    <option value=""> -- Chagua -- </option>
                                    <option value="ameoa">Ameoa</option>
                                    <option value="ameolewa">Ameolewa</option>
                                    <option value="hajaoa">Hajaoa</option>
                                    <option value="hajaolewa">Hajaolewa</option>
                                </select>
                            </div>

                            <div class="col-md-8 mb-3">
                                <label for="">Picha (Passport size)</label>
                                <input type="file" name="image" id="image" class="form-control" />
                            </div>

                            <div class="col-md-8 mb-3">
                                <label for="">Namba ya simu</label>
                                <input type="number" name="phone" id="phone" required class="form-control" />
                            </div>

                            <div class="col-md-8 mb-3">
                                <label for="">Mahali anapoishi</label>
                                <input type="text" name="residence" id="residence" required class="form-control" />
                            </div>


                            <div class="col-md-8 mb-3">
                                <button type="submit" name="registerClient" class="btn btn-primary">Sajili Mteja</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>

</div>

<?php include "includes/footer.php" ?>