<?php include "includes/header.php" ?>


<div class="container-fluid">

    <?php alertMessage() ?>

    <div class="row">
        <div class="col-lg-12">
            <div class="card shadow mb-4">
                <div class="card-header py-3">
                    <h6 class="m-0 font-weight-bold text-primary">Rekebisha taarifa za mdhamini</h6>
                </div>

                <div class="card-body">
                    <form action="clients-code.php" method="POST" id="form" enctype="multipart/form-data">

                        <?php
                        if (isset($_GET['id'])) {
                            if ($_GET['id'] != '') {

                                $guarantorId = $_GET['id'];
                            } else {
                                echo '<h5>No Id Found</h5>';
                                return false;
                            }
                        } else {
                            echo '<h5>No Id given in params</h5>';
                            return false;
                        }


                        $guarantor = getById('guarantors', $guarantorId);

                        if ($guarantor) {
                            if ($guarantor['status'] == 200) {
                                $clientId = $guarantor['data']['client_id'];
                        ?>
                                <input type="hidden" name="guarantor-id" value="<?= $guarantor['data']['id']; ?>">

                                <div class="row">
                                    <div class="col-md-8 mb-3">
                                        <label for="">Jina la mdhamini</label>
                                        <input type="text" name="name" id="name" value="<?= $guarantor['data']['name']; ?>" required class="form-control" />
                                    </div>

                                    <div class="col-md-8 mb-3">
                                        <label for="">Namba ya simu</label>
                                        <input type="number" name="phone" id="phone" value="<?= $guarantor['data']['phone']; ?>" required class="form-control" />
                                    </div>

                                    <div class="col-md-8 mb-3">
                                        <label for="">Picha ya mdhamini</label>
                                        <input type="file" name="image-guarantor" id="image-guarantor" value="<?= $guarantor['data']['avatar']; ?>" class="form-control" />
                                    </div>

                                    <div class="col-md-8 mb-3">
                                        <label for="">Dhamana</label>
                                        <input type="text" name="item" id="item" value="<?= $guarantor['data']['item']; ?>" required class="form-control" />
                                    </div>

                                    <div class="col-md-8 mb-3">
                                        <label for="">Thamani ya dhamana</label>
                                        <input type="text" name="item-value" id="item-value" value="<?= $guarantor['data']['item_value']; ?>" required class="form-control" />
                                    </div>

                                    <div class="col-md-8 mb-3">
                                        <label for="">Picha ya dhamana</label>
                                        <input type="file" name="image" id="image" class="form-control" />
                                    </div>

                                    <div class="col-md-8 mb-3">
                                        <button type="submit" name="updateGuarantor" class="btn btn-primary w-100">Rekebisha Mdhamini</button>
                                    </div>
                                </div>

                        <?php
                            } else {
                                echo '<h6>' . $guarantor['message'] . '</h6>';
                            }
                        } else {
                            echo 'Something Went Wrong';
                            return false;
                        }

                        ?>

                    </form>

                    <div class="row">
                        <div class="col-md-8">
                            <a href="clients-view.php?id=<?= $clientId; ?>" class="btn btn-warning w-100">Rudi nyuma</a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

</div>

<?php include "includes/footer.php" ?>