<?php

include('../config/functions.php');

if (isset($_POST['save_user'])) {
    $name = validate($_POST['name']);
    $phone = validate($_POST['phone']);
    $password = validate($_POST['password']);
    $office = validate($_POST['office']);
    $role = validate($_POST['role']);
    $status = isset($_POST['status']) == true ? 1 : 0;

    if ($name != '' && $phone != '' && $password != '' && $office != '' && $role != '') {

        $userCheck = mysqli_query($conn, "SELECT * FROM users WHERE phone='$phone'");
        if ($userCheck) {
            if (mysqli_num_rows($userCheck) > 0) {
                redirect('users-create.php', 'Mteja tayari amesajiliwa');
            }
        }

        $bcrypt_password = password_hash($password, PASSWORD_BCRYPT);

        $data = [
            'name' => $name,
            'phone' => $phone,
            'password' => $bcrypt_password,
            'office' => $office,
            'role' => $role,
            'status' => $status
        ];

        $result = insert('users', $data);

        if ($result) {
            redirect('users.php', 'Mfanyakazi Amesajiliwa kikamilifu');
        } else {
            redirect('users-create.php', 'Something Went Wrong!');
        }
    } else {
        redirect('users-create.php', 'Tafadhali jaza sehemu zinazohitajika.');
    }
}

if (isset($_POST['update_user'])) {
    $user_id = validate($_POST['user-id']);

    $user_data = getById('users', $user_id);
    if ($user_data['status'] != 200) {
        redirect('users-edit.php?id=' . $user_id, 'Tafadhali jaza sehemu zinazohitajika');
    }

    $name = validate($_POST['name']);
    $phone = validate($_POST['phone']);
    $password = validate($_POST['password']);
    $role = validate($_POST['role']);
    $office = validate($_POST['office']);
    $status = isset($_POST['status']) == true ? 1 : 0;

    $userCheck = "SELECT * FROM users WHERE phone='$phone' AND id!='$user_id'";

    $checkResult = mysqli_query($conn, $userCheck);

    if ($checkResult) {
        if (mysqli_num_rows($checkResult) > 0) {
            redirect('users-edit.php?id=' . $user_id, 'Namba imetumika kwa mfanyakazi mwingine');
        }
    }

    if ($password != '') {
        $hashedPassword = password_hash($password, PASSWORD_BCRYPT);
    } else {
        $hashedPassword = $user_data['data']['password'];
    }

    if ($name != '' && $phone != '') {
        $data = [
            'name' => $name,
            'phone' => $phone,
            'password' => $hashedPassword,
            'office' => $office,
            'role' => $role,
            'status' => $status
        ];
        $result = update('users', $user_id, $data);

        if ($result) {
            redirect('users-edit.php?id=' . $user_id, 'Taarifa zimesahihishwa');
        } else {
            redirect('users-edit.php?id=' . $user_id, 'Something Went Wrong!');
        }
    } else {
        redirect('users-edit.php', 'Tafadhali jaza sehemu zinazohitajika');
    }
}
