<?php include "includes/header.php" ?>


<div class="container-fluid">
    <!-- Page Notification -->
    <?php alertMessage(); ?>

    <!-- Main card content -->
    <div class="card shadow mb-4">
        <div class="card-header py-3">
            <h6 class="m-0 font-weight-bold text-primary">Wafanyakazi</h6>
        </div>
        <div class="card-body">
            <?php
            $users = getAll('users');

            if (!$users) {
                echo '<h4>Something Went Wrong!</h4>';
                return false;
            }

            if (mysqli_num_rows($users) > 0) {

            ?>
                <div class="table-responsive">
                    <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                        <thead>
                            <tr>
                                <th>Na.</th>
                                <th>Jina</th>
                                <th>Simu</th>
                                <th>Jukumu</th>
                                <th>Ofisi</th>
                                <th>Vitendo</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php
                            $i = 1;
                            foreach ($users as $user) :
                            ?>
                                <tr>
                                    <td><?= $i++; ?></td>
                                    <td><?= $user['name'] ?></td>
                                    <td><?= $user['phone'] ?></td>
                                    <td><?= $user['role'] ?></td>
                                    <td><?= $user['office'] ?></td>
                                    <td>
                                        <a href="users-edit.php?id=<?= $user['id']; ?>" class="btn btn-success btn-sm">Edit</a>
                                        <a href="users-delete.php?id=<?= $user['id']; ?>" class="btn btn-danger btn-sm">Delete</a>
                                    </td>
                                </tr>
                            <?php endforeach; ?>
                        </tbody>
                    </table>
                </div>
            <?php
            } else {
            ?>
                <h6 class="mb-0">No Record found</h6>
            <?php
            }
            ?>
        </div>
    </div>

</div>

<?php include "includes/footer.php" ?>