<?php include "includes/header.php" ?>


<div class="container-fluid">

    <?php alertMessage() ?>

    <div class="row">
        <div class="col-lg-12">
            <div class="card shadow mb-4">
                <div class="card-header py-3">
                    <h6 class="m-0 font-weight-bold text-primary">Rekebisha dhamana ya mteja</h6>
                </div>

                <div class="card-body">
                    <form action="clients-code.php" method="POST" id="form" enctype="multipart/form-data">

                        <?php
                        if (isset($_GET['id'])) {
                            if ($_GET['id'] != '') {

                                $guaranteeId = $_GET['id'];
                            } else {
                                echo '<h5>No Id Found</h5>';
                                return false;
                            }
                        } else {
                            echo '<h5>No Id given in params</h5>';
                            return false;
                        }


                        $guarantee = getById('client_guarantee', $guaranteeId);

                        if ($guarantee) {
                            if ($guarantee['status'] == 200) {

                                $clientId = $guarantee['data']['client_id'];
                        ?>
                                <input type="hidden" name="guarantee-id" value="<?= $guarantee['data']['id']; ?>">

                                <div class="row">
                                    <div class="col-md-8 mb-3">
                                        <label for="">Jina la dhamana</label>
                                        <input type="text" name="name" id="name" value="<?= $guarantee['data']['name']; ?>" required class="form-control" />
                                    </div>

                                    <div class="col-md-8 mb-3">
                                        <label for="">Thamani ya dhamana</label>
                                        <input type="text" name="item-value" id="item-value" value="<?= $guarantee['data']['value']; ?>" required class="form-control" />
                                    </div>

                                    <div class="col-md-8 mb-3">
                                        <label for="">Picha ya dhamana</label>
                                        <input type="file" name="image" id="image" value="<?= $guarantee['data']['image']; ?>" class="form-control" />
                                    </div>

                                    <div class="col-md-8 mb-3">
                                        <button type="submit" name="updateClientGuarantee" class="btn btn-primary w-100">Rekebisha dhamana</button>
                                    </div>
                                </div>

                        <?php
                            } else {
                                echo '<h6>' . $guarantee['message'] . '</h6>';
                            }
                        } else {
                            echo 'Something Went Wrong';
                            return false;
                        }

                        ?>

                    </form>

                    <div class="row">
                        <div class="col-md-8">
                            <a href="clients-view.php?id=<?= $clientId; ?>" class="btn btn-warning w-100">Rudi nyuma</a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

</div>

<?php include "includes/footer.php" ?>