<?php include "includes/header.php" ?>


<div class="container-fluid">

    <?php alertMessage() ?>

    <div class="row">
        <div class="col-lg-12">
            <div class="card shadow mb-4">
                <div class="card-header py-3">
                    <h6 class="m-0 font-weight-bold text-primary">Taarifa za mdhamini</h6>
                </div>

                <div class="card-body">
                    <form action="clients-code.php" method="POST" id="form" enctype="multipart/form-data">

                        <?php
                        if (isset($_GET['id'])) {
                            if ($_GET['id'] != '') {

                                $clientId = $_GET['id'];
                            } else {
                                echo '<h5>No Id Found</h5>';
                                return false;
                            }
                        } else {
                            echo '<h5>No Id given in params</h5>';
                            return false;
                        }


                        $client = getById('clients', $clientId);
                        if ($client) {
                            if ($client['status'] == 200) {
                        ?>
                                <input type="hidden" name="client-id" value="<?= $client['data']['id']; ?>">

                                <div class="row">
                                    <div class="col-md-8 mb-3">
                                        <label for="">Jina la mdhamini</label>
                                        <input type="text" name="name" id="name" required class="form-control" />
                                    </div>

                                    <div class="col-md-8 mb-3">
                                        <label for="">Namba ya simu</label>
                                        <input type="number" name="phone" id="phone" required class="form-control" />
                                    </div>

                                    <div class="col-md-8 mb-3">
                                        <label for="">Picha ya mdhamini</label>
                                        <input type="file" name="image-guarantor" id="image-guarantor" class="form-control" />
                                    </div>

                                    <div class="col-md-8 mb-3">
                                        <label for="">Dhamana</label>
                                        <input type="text" name="item" id="item" required class="form-control" />
                                    </div>

                                    <div class="col-md-8 mb-3">
                                        <label for="">Thamani ya dhamana</label>
                                        <input type="text" name="item-value" id="item-value" required class="form-control" />
                                    </div>

                                    <div class="col-md-8 mb-3">
                                        <label for="">Picha ya dhamana</label>
                                        <input type="file" name="image" id="image" class="form-control" />
                                    </div>

                                    <div class="col-md-8 mb-3">
                                        <button type="submit" name="addGuarantor" class="btn btn-primary w-100">Ongeza Mdhamini</button>
                                    </div>
                                </div>

                        <?php
                            } else {
                                echo '<h6>' . $client['message'] . '</h6>';
                            }
                        } else {
                            echo 'Something Went Wrong';
                            return false;
                        }

                        ?>

                    </form>
                </div>
            </div>
        </div>
    </div>

</div>

<?php include "includes/footer.php" ?>