<?php include "includes/header.php"; ?>

<!-- Begin Page Content -->
<div class="container-fluid">

    <!-- Content Row -->
    <div class="row">

        <?php alertMessage(); ?>

        <!-- Earnings (Monthly) Card Example -->
        <div class="col-xl-4 col-md-6 mb-4">
            <div class="card border-bottom-primary shadow h-100 py-2">
                <div class="card-body">
                    <div class="row no-gutters align-items-center">
                        <div class="col mr-2">
                            <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                Kiasi kilichokopeshwa
                            </div>
                            <div class="h5 mb-0 font-weight-bold text-gray-800">
                                <?php
                                $location = $_SESSION['loggedInUser']['office'];

                                $loansAmount = mysqli_query($conn, "SELECT SUM(amount_total) AS loans_amount 
                                                FROM loans WHERE location = '$location'");

                                if ($loansAmount) {
                                    $result = mysqli_fetch_assoc($loansAmount);
                                    $loans_amount = $result['loans_amount'] !== null ? $result['loans_amount'] : 0;

                                    echo number_format($loans_amount) . " <span class='text-xs'>TSH</span>";
                                }
                                ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <!-- Earnings (Monthly) Card Example -->
        <div class="col-xl-4 col-md-6 mb-4">
            <div class="card border-bottom-success shadow h-100 py-2">
                <div class="card-body">
                    <div class="row no-gutters align-items-center">
                        <div class="col mr-2">
                            <div class="text-xs font-weight-bold text-success text-uppercase mb-1">
                                kiasi kilicholipwa
                            </div>
                            <div class="h5 mb-0 font-weight-bold text-gray-800">
                                <?php
                                $paidAmount = mysqli_query($conn, "SELECT SUM(amount_paid) AS paid_amount 
                                                FROM loans WHERE location = '$location'");

                                if ($paidAmount) {
                                    $result = mysqli_fetch_assoc($paidAmount);
                                    $loans_amount = $result['paid_amount'] !== null ? $result['paid_amount'] : 0;

                                    echo number_format($loans_amount) . " <span class='text-xs'>TSH</span>";
                                }
                                ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <!-- Earnings (Monthly) Card Example -->
        <div class="col-xl-4 col-md-6 mb-4">
            <div class="card border-bottom-info shadow h-100 py-2">
                <div class="card-body">
                    <div class="row no-gutters align-items-center">
                        <div class="col mr-2">
                            <div class="text-xs font-weight-bold text-info text-uppercase mb-1">
                                Mikopo</div>
                            <div class="h5 mb-0 font-weight-bold text-gray-800">
                                <?php
                                $location = $_SESSION['loggedInUser']['office'];

                                $query = "SELECT * FROM loans WHERE location = '$location'";

                                $query_run = mysqli_query($conn, $query);

                                if ($query_run) {
                                    $totalCount = mysqli_num_rows($query_run);
                                    echo $totalCount ?? 0;
                                } else {
                                    echo 'Something Went Wrong!';
                                }
                                ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <!-- Earnings (Monthly) Card Example -->
        <div class="col-xl-4 col-md-6 mb-4">
            <div class="card border-bottom-warning shadow h-100 py-2">
                <div class="card-body">
                    <div class="row no-gutters align-items-center">
                        <div class="col mr-2">
                            <div class="text-xs font-weight-bold text-warning text-uppercase mb-1">
                                Wateja
                            </div>
                            <div class="h5 mb-0 font-weight-bold text-gray-800">
                                <?php
                                $location = $_SESSION['loggedInUser']['office'];

                                $query = "SELECT * FROM clients WHERE office = '$location'";

                                $query_run = mysqli_query($conn, $query);

                                if ($query_run) {
                                    $totalCount = mysqli_num_rows($query_run);
                                    echo $totalCount ?? 0;
                                } else {
                                    echo 'Something Went Wrong!';
                                }
                                ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

</div>

<?php include "includes/footer.php"; ?>