<?php include "includes/header.php" ?>


<div class="container-fluid">

    <?php alertMessage() ?>

    <!-- Main card content -->
    <div class="card shadow mb-4">
        <div class="card-header py-3">
            <h6 class="m-0 font-weight-bold text-primary">Rekebisha taarifa</h6>
        </div>
        <div class="card-body">
            <form action="users-code.php" method="POST">

                <?php
                if (isset($_GET['id'])) {
                    if ($_GET['id'] != '') {

                        $user_id = $_GET['id'];
                    } else {
                        echo '<h5>No Id Found</h5>';
                        return false;
                    }
                } else {
                    echo '<h5>No Id given in params</h5>';
                    return false;
                }


                $user_data = getById('users', $user_id);
                if ($user_data) {
                    if ($user_data['status'] == 200) {
                ?>
                        <input type="hidden" name="user-id" value="<?= $user_data['data']['id']; ?>">

                        <div class="row">
                            <div class="col-md-12 mb-3">
                                <label for="">Jina</label>
                                <input type="text" name="name" value="<?= $user_data['data']['name']; ?>" required class="form-control" />
                            </div>
                            <div class="col-md-6 mb-3">
                                <label for="">Namba ya simu</label>
                                <input type="number" name="phone" value="<?= $user_data['data']['phone']; ?>" required class="form-control" />
                            </div>
                            <div class="col-md-6 mb-3">
                                <label for="">Neno la siri</label>
                                <input type="password" name="password" class="form-control" />
                            </div>
                            <div class="col-md-6 mb-3">
                                <label for="">Jukumu</label>
                                <select name="role" required class="form-select form-control">
                                    <option value=""> -- Chagua jukumu -- </option>
                                    <option value="Mfanyakazi" <?= ($user_data['data']['role'] == 'Mfanyakazi') ? 'selected' : ''; ?>>Mfanyakazi</option>
                                    <option value="Meneja" <?= ($user_data['data']['role'] == 'Meneja') ? 'selected' : ''; ?>>Meneja</option>
                                    <option value="Admin" <?= ($user_data['data']['role'] == 'Admin') ? 'selected' : ''; ?>>Admin</option>
                                </select>
                            </div>
                            <div class="col-md-6 mb-3">
                                <label for="">Tawi</label>
                                <select name="office" required class="form-select form-control">
                                    <option value=""> -- Chagua tawi -- </option>
                                    <option value="Igurusi" <?= ($user_data['data']['office'] == 'Igurusi') ? 'selected' : ''; ?>>Igurusi</option>
                                    <option value="Isongole" <?= ($user_data['data']['office'] == 'Isongole') ? 'selected' : ''; ?>>Isongole</option>
                                    <option value="Luguru" <?= ($user_data['data']['office'] == 'Luguru') ? 'selected' : ''; ?>>Luguru</option>
                                    <option value="Mwampalala" <?= ($user_data['data']['office'] == 'Mwampalala') ? 'selected' : ''; ?>>Mwampalala</option>
                                </select>
                            </div>
                            <div class="col-md-3 mb-3">
                                <label for="">Fungia akaunti</label>
                                <br />
                                <input type="checkbox" name="status" <?= $user_data['data']['status'] == true ? 'checked' : ''; ?> style="width:30px;height:30px;" />
                            </div>
                            <div class="col-md-12 mb-3 text-end">
                                <button type="submit" name="update_user" class="btn btn-primary">Rekebisha</button>
                            </div>
                        </div>
                <?php
                    } else {
                        echo '<h5>' . $user_data['message'] . '</h5>';
                    }
                } else {
                    echo 'Something Went Wrong';
                    return false;
                }

                ?>


            </form>
        </div>
    </div>

</div>

<?php include "includes/footer.php" ?>