<?php include "includes/header.php" ?>


<div class="container-fluid">

    <?php alertMessage() ?>

    <!-- Main card content -->
    <div class="card shadow mb-4">
        <div class="card-header py-3">
            <h6 class="m-0 font-weight-bold text-primary">Wateja</h6>
        </div>
        <div class="card-body">

            <?php
            $location = $_SESSION['loggedInUser']['office'];

            $query = "SELECT * FROM clients WHERE office = '$location'";

            $clients = mysqli_query($conn, $query);

            if (!$clients) {
                echo '<h4>Something Went Wrong!</h4>';
                return false;
            }

            if (mysqli_num_rows($clients) > 0) {
            ?>

                <div class="table-responsive">
                    <table class="table table-bordered" id="clientsTable" width="100%" cellspacing="0">
                        <thead>
                            <tr>
                                <th>Jina</th>
                                <th>Vitendo</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php
                            $i = 1;
                            foreach ($clients as $client) :
                            ?>
                                <tr>
                                    <td><?= $client['name'] ?></td>
                                    <td>
                                        <a href="clients-view.php?id=<?= $client['id']; ?>" class="btn btn-primary btn-sm">Angalia</a>
                                    </td>
                                </tr>
                            <?php endforeach; ?>
                        </tbody>
                    </table>
                </div>
            <?php
            } else {
            ?>
                <h6 class="mb-0">Hakuna wateja!</h6>
            <?php
            }
            ?>
        </div>
    </div>

</div>

<?php include "includes/footer.php" ?>

<script>
    $(document).ready(function() {
        $('#clientsTable').DataTable();
    });
</script>