<?php include "includes/header.php" ?>


<div class="container-fluid">

    <div class="row">
        <div class="col-lg-12">

            <?php alertMessage(); ?>

            <div class="card shadow mb-4">
                <div class="card-header py-3">
                    <h6 class="m-0 font-weight-bold text-primary">Mikopo</h6>
                </div>

                <div class="card-body">

                    <?php
                    $employeeId = $_SESSION['loggedInUser']['id'];
                    $location = $_SESSION['loggedInUser']['office'];

                    $query = "SELECT l.*, c.* FROM loans l, clients c 
                            WHERE c.id = l.client_id AND l.placed_by = '$employeeId' AND l.location = '$location' 
                            ORDER BY l.id DESC";

                    $loans = mysqli_query($conn, $query);

                    if ($loans) {
                        if (mysqli_num_rows($loans) > 0) {
                    ?>
                            <div class="table-responsive">
                                <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                                    <thead>
                                        <tr>
                                            <th>Jina</th>
                                            <th>Vitendo</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php foreach ($loans as $loan) : ?>
                                            <tr>
                                                <td><?= $loan['name']; ?></td>
                                                <td>
                                                    <a href="loans-view.php?track=<?= $loan['tracking_no']; ?>" class="btn btn-info mb-0 px-2 btn-sm">Angalia</a>
                                                </td>
                                            </tr>
                                        <?php endforeach; ?>
                                    </tbody>
                                </table>
                            </div>
                    <?php
                        } else {
                            echo "<h6>Hakuna mikopo!</h6>";
                        }
                    } else {
                        echo "<h6>Something Went Wrong</h6>";
                    }
                    ?>

                </div>
            </div>
        </div>
    </div>

</div>

<?php include "includes/footer.php" ?>